X11 Installation on Ubuntu

Hal Burgiss hal at burgiss.net
Thu Sep 17 14:43:44 BST 2009


On Wed, Sep 16, 2009 at 10:32 PM, MirJafar Ali <mirjafarali at gmail.com> wrote:
>
>
> On Wed, Sep 16, 2009 at 9:05 PM, Cybe R. Wizard
> <cyber_wizard at mindspring.com> wrote:
>>
>> On Wed, 16 Sep 2009 20:51:40 -0500
>> MirJafar Ali <mirjafarali at gmail.com> wrote:
>>
>> > Hello,
>> >
>> > I get the following error message:
>> >
>> > E: Couldn't find package xorg-xserver*
>> >
>> > Anything wrong ?
>> >
>> > Mir
>>
>> Yes, reverse it and get xserver-xorg which has this to say:
>> "the X.Org X server
>> This package depends on the full suite of the server and drivers for the
>> X.Org X server, as well as providing a configuration infrastructure to
>> manage xorg.conf.  It does not provide the actual server itself, but
>> removing it is strongly discouraged.'
>>
>> I don't know for sure but I'd imagine that this will pull in all
>> necessary deps, too.
> I am trying on install Qt4.5.2 from the source and it depends on X11. While
> confuguring it says:
>
> Basic XLib functionality test failed!
>
> and sudo apt-get install xserver-xorg
>
> xserver-xorg is already the newest version.
> 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
>

If he is building from source, he needs the devel packages,
presumably. The binary stuff does not help. My question is why though?
Educational experience? Ubuntu lacking something?

-- 
Hal




More information about the ubuntu-users mailing list